diff --git a/docs/releases/1.5-alpha-1.txt b/docs/releases/1.5-alpha-1.txt
new file mode 100644
index 0000000..d9f567d
--- /dev/null
+++ b/docs/releases/1.5-alpha-1.txt
@@ -0,0 +1,71 @@
+==============================
+Django 1.5 alpha release notes
+==============================
+
+*Jantober -21, 2012*
+
+Welcome to Django 1.5 alpha!
+
+This is the first in a series of preview/development releases leading up to
+the eventual release of Django 1.5, scheduled for THE FUTURE. This release is
+primarily targeted at developers who are interested in trying out new features
+and testing the Django codebase to help identify and resolve bugs prior to the
+final 1.5 release.
+
+As such, this release is *not* intended for production use, and any such use
+is discouraged.
+
+Django 1.5 alpha includes various `new features`_ and some minor `backwards
+incompatible changes`_. There are also some features that have been dropped,
+which are detailed in :doc:`our deprecation plan </internals/deprecation>`,
+and we've `begun the deprecation process for some features`_.
+
+.. _`new features`: `What's new in Django 1.5`_
+.. _`backwards incompatible changes`: `Backwards incompatible changes in 1.5`_
+.. _`begun the deprecation process for some features`: `Features deprecated in 1.5`_
+
+Overview
+========
+
+
+Python compatibility
+====================
+
+Django 1.5 has dropped support for Python 2.5. Python 2.6 is now the minimum
+required Python version. Django is tested and supported on Python 2.6 and
+2.7, and has experimental support for Python 3.
+
+This change should affect only a small number of Django users, as most
+operating-system vendors today are shipping Python 2.6 or newer as their default
+version. If you're still using Python 2.5, however, you'll need to stick to
+Django 1.4 until you can upgrade. Per :doc:`our support policy
+</internals/release-process>`, Django 1.4 will continue to receive security
+support until the release of Django 1.6.
+
+What's new in Django 1.5
+========================
+
+Nothing yet.
+
+Backwards incompatible changes in 1.5
+=====================================
+
+This will be the most compatible release ever, so far.
+
+Features deprecated in 1.5
+==========================
+
+``django.utils.simplejson``
+~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+With the dropping of Python 2.5 support, all supported versions of Python
+have the ``json`` module in their standard library. This module is actually
+a version of simplejson distributed by Python, so Django no longer needs
+to provide any JSON modules. Any use of ``django.utils.simplejson`` can be
+safely changed to ``json``.
+
+``django.contrib.simplejson`` will continue to function until it is removed in
+version 1.7. It will use simplejson if it
+can find it on your system and fall back to the
+json module in the standard library if it cannot. There are no longer any
+cases where it will fall back to a module provided by Django.
diff --git a/docs/releases/index.txt b/docs/releases/index.txt
index 72b6d8b..1ab7d4d 100644
--- a/docs/releases/index.txt
+++ b/docs/releases/index.txt
@@ -81,6 +81,7 @@ notes.
 .. toctree::
    :maxdepth: 1
 
+   1.5-alpha-1
    1.4-beta-1
    1.4-alpha-1
    1.3-beta-1
diff --git a/docs/topics/class-based-views.txt b/docs/topics/class-based-views.txt
index 8059ed1..9a472fb 100644
--- a/docs/topics/class-based-views.txt
+++ b/docs/topics/class-based-views.txt
@@ -495,8 +495,8 @@ different rendering behavior.
 
 For example, a simple JSON mixin might look something like this::
 
+    import json
     from django import http
-    from django.utils import simplejson as json
 
     class JSONResponseMixin(object):
         def render_to_response(self, context):
diff --git a/docs/topics/serialization.txt b/docs/topics/serialization.txt
index d7d72ec..ffbf9b1 100644
--- a/docs/topics/serialization.txt
+++ b/docs/topics/serialization.txt
@@ -143,15 +143,13 @@ Identifier  Information
 ==========  ==============================================================
 ``xml``     Serializes to and from a simple XML dialect.
 
-``json``    Serializes to and from JSON_ (using a version of simplejson_
-            bundled with Django).
+``json``    Serializes to and from JSON_.
 
 ``yaml``    Serializes to YAML (YAML Ain't a Markup Language). This
             serializer is only available if PyYAML_ is installed.
 ==========  ==============================================================
 
 .. _json: http://json.org/
-.. _simplejson: http://undefined.org/python/#simplejson
 .. _PyYAML: http://www.pyyaml.org/
 
 Notes for specific serialization formats
@@ -169,28 +167,21 @@ For example::
     json_serializer = serializers.get_serializer("json")()
     json_serializer.serialize(queryset, ensure_ascii=False, stream=response)
 
-The Django source code includes the simplejson_ module. However, if you're
-using Python 2.6 or later (which includes a builtin version of the module), Django will
-use the builtin ``json`` module automatically. If you have a system installed
-version that includes the C-based speedup extension, or your system version is
-more recent than the version shipped with Django (currently, 2.0.7), the
-system version will be used instead of the version included with Django.
-
-Be aware that if you're serializing using that module directly, not all Django
-output can be passed unmodified to simplejson. In particular, :ref:`lazy
+Be aware, not all Django output can be passed unmodified
+to the json serializer. In particular, :ref:`lazy
 translation objects <lazy-translations>` need a `special encoder`_ written for
 them. Something like this will work::
 
     from django.utils.functional import Promise
     from django.utils.encoding import force_unicode
 
-    class LazyEncoder(simplejson.JSONEncoder):
+    class LazyEncoder(json.JSONEncoder):
         def default(self, obj):
             if isinstance(obj, Promise):
                 return force_unicode(obj)
             return super(LazyEncoder, self).default(obj)
 
-.. _special encoder: http://svn.red-bean.com/bob/simplejson/tags/simplejson-1.7/docs/index.html
+.. _special encoder: http://docs.python.org/library/json.html#encoders-and-decoders
 
 .. _topics-serialization-natural-keys:
 