diff --git a/django/utils/translation/__init__.py b/django/utils/translation/__init__.py
--- a/django/utils/translation/__init__.py
+++ b/django/utils/translation/__init__.py
@@ -1,12 +1,8 @@
 """
 Internationalization support.
 """
-import warnings
-from os import path
-
 from django.utils.encoding import force_unicode
 from django.utils.functional import lazy
-from django.utils.importlib import import_module
 
 
 __all__ = [
@@ -47,20 +43,6 @@
         from django.conf import settings
         if settings.USE_I18N:
             from django.utils.translation import trans_real as trans
-            # Make sure the project's locale dir isn't in LOCALE_PATHS
-            if settings.SETTINGS_MODULE is not None:
-                parts = settings.SETTINGS_MODULE.split('.')
-                project = import_module(parts[0])
-                project_locale_path = path.normpath(
-                    path.join(path.dirname(project.__file__), 'locale'))
-                normalized_locale_paths = [path.normpath(locale_path)
-                    for locale_path in settings.LOCALE_PATHS]
-                if (path.isdir(project_locale_path) and
-                        not project_locale_path in normalized_locale_paths):
-                    warnings.warn("Translations in the project directory "
-                                  "aren't supported anymore. Use the "
-                                  "LOCALE_PATHS setting instead.",
-                                  DeprecationWarning)
         else:
             from django.utils.translation import trans_null as trans
         setattr(self, real_name, getattr(trans, real_name))
diff --git a/django/utils/translation/trans_real.py b/django/utils/translation/trans_real.py
--- a/django/utils/translation/trans_real.py
+++ b/django/utils/translation/trans_real.py
@@ -111,13 +111,6 @@
 
     globalpath = os.path.join(os.path.dirname(sys.modules[settings.__module__].__file__), 'locale')
 
-    if settings.SETTINGS_MODULE is not None:
-        parts = settings.SETTINGS_MODULE.split('.')
-        project = import_module(parts[0])
-        projectpath = os.path.join(os.path.dirname(project.__file__), 'locale')
-    else:
-        projectpath = None
-
     def _fetch(lang, fallback=None):
 
         global _translations
@@ -163,11 +156,6 @@
             if os.path.isdir(apppath):
                 res = _merge(apppath)
 
-        localepaths = [os.path.normpath(path) for path in settings.LOCALE_PATHS]
-        if (projectpath and os.path.isdir(projectpath) and
-                os.path.normpath(projectpath) not in localepaths):
-            res = _merge(projectpath)
-
         for localepath in reversed(settings.LOCALE_PATHS):
             if os.path.isdir(localepath):
                 res = _merge(localepath)
diff --git a/tests/regressiontests/i18n/test_warnings.py b/tests/regressiontests/i18n/test_warnings.py
deleted file mode 100644
--- a/tests/regressiontests/i18n/test_warnings.py
+++ /dev/null
@@ -1,44 +0,0 @@
-import warnings
-from os.path import join, normpath, abspath, dirname
-
-import django
-from django.conf import settings
-from django.test.utils import get_warnings_state, restore_warnings_state
-from django.utils.translation import _trans
-from django.utils.unittest import TestCase
-
-
-class DeprecationWarningTests(TestCase):
-
-    def setUp(self):
-        self.warning_state = get_warnings_state()
-        self.old_settings_module = settings.SETTINGS_MODULE
-        settings.SETTINGS_MODULE = 'regressiontests'
-        self.old_locale_paths = settings.LOCALE_PATHS
-
-    def tearDown(self):
-        restore_warnings_state(self.warning_state)
-        settings.SETTINGS_MODULE = self.old_settings_module
-        settings.LOCALE_PATHS = self.old_locale_paths
-
-    def test_warn_if_project_has_locale_subdir(self):
-        """Test that DeprecationWarning is generated when a deprecated project level locale/ subdir is present."""
-        project_path = join(dirname(abspath(__file__)), '..')
-        warnings.filterwarnings('error',
-                "Translations in the project directory aren't supported anymore\. Use the LOCALE_PATHS setting instead\.",
-                DeprecationWarning)
-        _trans.__dict__ = {}
-        self.assertRaises(DeprecationWarning, django.utils.translation.ugettext, 'Time')
-
-    def test_no_warn_if_project_and_locale_paths_overlap(self):
-        """Test that DeprecationWarning isn't generated when a deprecated project level locale/ subdir is also included in LOCALE_PATHS."""
-        project_path = join(dirname(abspath(__file__)), '..')
-        settings.LOCALE_PATHS += (normpath(join(project_path, 'locale')),)
-        warnings.filterwarnings('error',
-                "Translations in the project directory aren't supported anymore\. Use the LOCALE_PATHS setting instead\.",
-                DeprecationWarning)
-        _trans.__dict__ = {}
-        try:
-            django.utils.translation.ugettext('Time')
-        except DeprecationWarning:
-            self.fail("DeprecationWarning shouldn't be raised when settings/project locale and a LOCALE_PATHS member point to the same file system location.")
diff --git a/tests/regressiontests/i18n/tests.py b/tests/regressiontests/i18n/tests.py
--- a/tests/regressiontests/i18n/tests.py
+++ b/tests/regressiontests/i18n/tests.py
@@ -40,7 +40,6 @@
     URLTranslationTests, URLDisabledTests, URLTagTests, URLTestCaseBase,
     URLRedirectWithoutTrailingSlashSettingTests, URLNamespaceTests,
     URLPrefixTests, URLResponseTests, URLRedirectTests, PathUnusedTests)
-from .test_warnings import DeprecationWarningTests
 
 
 here = os.path.dirname(os.path.abspath(__file__))
@@ -869,29 +868,6 @@
         with self.settings(INSTALLED_APPS=extended_apps):
             self.assertUgettext('Time', 'LOCALE_PATHS')
 
-    def test_locale_paths_override_project_translation(self):
-        with self.settings(SETTINGS_MODULE='regressiontests'):
-            self.assertUgettext('Date/time', 'LOCALE_PATHS')
-
-class ProjectResolutionOrderI18NTests(ResolutionOrderI18NTests):
-
-    def setUp(self):
-        self.old_settings_module = settings.SETTINGS_MODULE
-        settings.SETTINGS_MODULE = 'regressiontests'
-        super(ProjectResolutionOrderI18NTests, self).setUp()
-
-    def tearDown(self):
-        settings.SETTINGS_MODULE = self.old_settings_module
-        super(ProjectResolutionOrderI18NTests, self).tearDown()
-
-    def test_project_translation(self):
-        self.assertUgettext('Date/time', 'PROJECT')
-
-    def test_project_override_app_translation(self):
-        extended_apps = list(settings.INSTALLED_APPS) + ['regressiontests.i18n.resolution']
-        with self.settings(INSTALLED_APPS=extended_apps):
-            self.assertUgettext('Date/time', 'PROJECT')
-
 class DjangoFallbackResolutionOrderI18NTests(ResolutionOrderI18NTests):
 
     def test_django_fallback(self):
diff --git a/tests/regressiontests/locale/de/LC_MESSAGES/django.mo b/tests/regressiontests/locale/de/LC_MESSAGES/django.mo
deleted file mode 100644
Binary file tests/regressiontests/locale/de/LC_MESSAGES/django.mo has changed
diff --git a/tests/regressiontests/locale/de/LC_MESSAGES/django.po b/tests/regressiontests/locale/de/LC_MESSAGES/django.po
deleted file mode 100644
--- a/tests/regressiontests/locale/de/LC_MESSAGES/django.po
+++ /dev/null
@@ -1,25 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: django tests\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-02-14 17:33+0100\n"
-"PO-Revision-Date: 2011-02-07 13:13-0300\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
-
-#: models.py:3
-msgid "Time"
-msgstr "Zeit (PROJECT)"
-
-#: models.py:5
-msgid "Date/time"
-msgstr "Datum/Zeit (PROJECT)"
diff --git a/tests/runtests.py b/tests/runtests.py
--- a/tests/runtests.py
+++ b/tests/runtests.py
@@ -25,7 +25,7 @@
 TEMP_DIR = tempfile.mkdtemp(prefix='django_')
 os.environ['DJANGO_TEST_TEMP_DIR'] = TEMP_DIR
 
-REGRESSION_SUBDIRS_TO_SKIP = ['locale']
+REGRESSION_SUBDIRS_TO_SKIP = []
 
 ALWAYS_INSTALLED_APPS = [
     'django.contrib.contenttypes',